package com.fjhx.victoriatourist.service.logistics;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.kd100.util.KD100Result;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsInfosDto;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsInfosSelectDto;
import com.fjhx.victoriatourist.entity.logistics.po.LogisticsInfos;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsInfosVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 物流信息 服务类
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
public interface LogisticsInfosService extends BaseService<LogisticsInfos> {

    /**
     * 物流信息分页
     */
    Page<LogisticsInfosVo> getPage(LogisticsInfosSelectDto dto);

    /**
     * 物流信息明细
     */
    LogisticsInfosVo detail(Long id);

    /**
     * 物流信息新增
     */
    void add(LogisticsInfosDto logisticsInfosDto);

    /**
     * 物流信息编辑
     */
    void edit(LogisticsInfosDto logisticsInfosDto);

    /**
     * 物流信息删除
     */
    void delete(Long id);

    /**
     * 快递信息
     */
    KD100Result getLogistics(Long id);

    /**
     * 更新物流状态
     */
    void dataInfoEdit(Long id);

    /**
     * 到货通知
     */
    void arrivalNotice(LogisticsInfosVo entity);

}
